//------- - 15.04.2021
// DEMO TEXT
//-------
#include <Wire.h> 

// variables for this sample
int tip1 = A0; 
int tip2 = A1;
//--------------- VARIABLES - MUST BE
char pit = "";
int spd = 8;
//---------------

void setup() { 
  //----------- START I2C - MUST BE
  Wire.setClock(100000);  
  Wire.begin();  // join i2c bus  
  //-----------
  pinMode(tip1, INPUT);
  pinMode(tip2, INPUT);
  begin_def();
  meni();
}

void loop() {
  if (digitalRead(tip1) == LOW)
  {
    teksts();
    meni();
  }
    if (digitalRead(tip2) == LOW)
  {
    tekst();
    meni();
  }
    delay(50);  
}

//------------------------------------------------------------  SETTINGS
void begin_def() // all settings you need in program
{
    ispis("RST"); 
    delay(200);
    ispis("CLS"); 
    delay(500);    
}
//------------------------------ DEMO
void teksts()
{
    ispis("CLS");
    ispis("1.Hello!;20;0;G");
    ispis("2.Hello!;22;8;G");
    ispis("3.Hello!;24;16;G");
    ispis("4.Hello!;26;24;G");
    ispis("5.Hello!;28;32;G");
    ispis("6.Hello!;30;40;G");
    ispis("BUF");
    delay(500);
    for (int n=0;n<84;n++)
    {    
        ispis("SCC;L;2;2;R");
        ispis("SCC;R;3;3;R");
        delay(10);
    }
    delay(500);
    for (int n=0;n<12;n++)
    {      
        ispis("SCU;R");
        delay(300);
    }
    for (int n=0;n<12;n++)
    { 
        ispis("SCD;R");
        delay(300);
    }
    delay(1000);
}
void tekst()
{
    ispis("CLS");
    ispis("Hello!;20;0;G");
    ispis("BUF");
    ispis("Hello!;22;8;G");
    ispis("BUF");
    ispis("Hello!;24;16;G");
    ispis("BUF");
    ispis("Hello!;26;24;G");
    ispis("BUF");
    ispis("Hello!;28;32;G");
    ispis("BUF");
    ispis("Hello!;30;40;G");
    ispis("BUF");

    delay(2000);
    ispis("CLS");
    for (int n=1;n<4;n++)
    {
        ispis("Hi!;2;1;"+String(n)+";B");
        delay(500);
        ispis("Hi!;2;1;"+String(n)+";W");
        delay(50);
    }
    ispis("Hi!;2;1;3;B");
    delay(1000);
    ispis("CLS");
    for (int n=0;n<20;n++)
    {
        if (n < 10)
        {
            ispis(String(n)+";5;1;3;B");
            delay(200);
            ispis(String(n)+";5;1;3;W");
        }
        else
        {
            ispis(String(n)+";3;1;3;B");
            delay(200);
            ispis(String(n)+";3;1;3;W");
        }
    }
    ispis("CLS");
    ispis("START;2;1;2;B");
    delay(1000);
}
void meni()
{
    ispis("CLS");
    ispis("DEMO TEXT;0;0");
    ispis("A-standard;0;2");
    ispis("B-scroll;0;3");
    ispis("LIN;0;12;83;12;B");
    ispis("LIN;0;36;83;36;B");
}
//------------------------------------------------------------ ALL MODULES
void ispis(String poruka)
{
  Serial.println(poruka);
  poruka = poruka + ";";
  int duz = poruka.length();
  if (duz > 30)
  {
    String por1 = poruka.substring(0,30)+"+";
    char dio1[31];
    por1.toCharArray(dio1,duz);
    Wire.beginTransmission(0x11);
    Wire.write(dio1);
    Wire.endTransmission();
    String por2 = poruka.substring(30);
    duz = por2.length();
    char dio2[duz];
    por2.toCharArray(dio2,duz);
    Wire.beginTransmission(0x11);
    Wire.write(dio2);
    Wire.endTransmission();
    delay(duz*spd);
  }
  else
  {
    char copy[duz];    
    poruka.toCharArray(copy,duz);
    Wire.beginTransmission(0x11);
    Wire.write(copy);
    Wire.endTransmission();
    delay(duz*spd);
  }     
}

